<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <strong><font color="#A020F0">Expanded</font></strong> <a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Boolean library (self is mapping on int C)."</font>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">type</font></strong>    := <em><strong><font color="#A4DEA4">`char`</font></strong></em>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">default</font></strong> := <a href="FALSE.html"><font color="#008000">FALSE</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Insert</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Conditional :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">if_true</font></strong> block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a>  <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">if_false</font></strong> block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">if</font></strong> true_block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">else</font></strong> false_block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <-  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp deferred;</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">if_true</font></strong> true_block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">else</font></strong> false_block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">if_false</font></strong> true_block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">else</font></strong> false_block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">if</font></strong> true_block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">elseif</font></strong> cond:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">then</font></strong> block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">elseif</font></strong> cond:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">then</font></strong> block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">else</font></strong> block_else:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">else_if</font></strong> cond:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">then</font></strong> block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Alias.</font></strong></em>
  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">else_if</font></strong> cond:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">then</font></strong> block:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <strong><font color="#0000FF">else</font></strong> block_else:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a> <- 
  <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  Alias.</font></strong></em>
  
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Binary operator :</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">||</font>' <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">10</font>  other:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a>   :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">&&</font>' <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">20</font>  other:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a>   :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">|</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">10</font>  other:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">&</font>'  <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">20</font>  other:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">^</font>' <strong><font color="#A020F0">Left</font></strong> <font color="#A020F0">10</font>  other:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>  <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">-></font>' <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">25</font> other:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">->></font>' <strong><font color="#A020F0">Right</font></strong> <font color="#A020F0">25</font> other:<a href="BLOCK.html"><font color="#008000">BLOCK</font></a>  :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">=></font>' s:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Prefix operator</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> '<font color="#B8860B">!</font>' :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Convertion</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_string</font></strong>:<a href="STRING.html"><font color="#008000">STRING</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_integer</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_character</font></strong>:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">append_in</font></strong> str:<a href="STRING.html"><font color="#008000">STRING</font></a> <- 

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Output.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print</font></strong> <-
  

</body>
</html>

